## org.biojava.utils.candy
Class CandyEntry

    java.lang.Object
      org.biojava.utils.candy.CandyEntry

    public class CandyEntry

extends Object

This is a basic container for a vocabulary entry. It consists only of the basic attributes which is sufficient for the vocabularies providing string-type contents.

However, it may still accomodate more complex data types using the `extras` member.

Version:
  $Id: CandyEntry.java 2703 2003-06-01 08:42:29Z thomasd $
Author:
  Martin Senger

Field Summary
`String` `description` A value of this entry.
`String` `entry` A unique identifier of this entry.
`Hashtable` `extras` A container for the additional properties represented by this entry.

Constructor Summary
`CandyEntry()` An empty constructor.
`CandyEntry(String entry)` It creates an entry instance with given name and empty value.
`CandyEntry(String entry, String description)` It creates an entry instance with given name and value.
`CandyEntry(String entry, String description, Hashtable extras)` It creates an entry instance with given name, value and additional properties.

Method Summary
`String` `toString()` It prints the entry contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entry

    public String entry

  A unique identifier of this entry.

### description

    public String description

  A value of this entry.

### extras

    public Hashtable extras

  A container for the additional properties represented by this entry.

Constructor Detail

### CandyEntry

    public CandyEntry()

  An empty constructor.

### CandyEntry

    public CandyEntry(String entry)

  It creates an entry instance with given name and empty value.

### CandyEntry

    public CandyEntry(String entry,
                      String description)

  It creates an entry instance with given name and value.

### CandyEntry

    public CandyEntry(String entry,
                      String description,
                      Hashtable extras)

  It creates an entry instance with given name, value and additional properties.

Method Detail

### toString

    public String toString()

  It prints the entry contents.

  Overrides:
    `toString` in class `Object`